<?php

namespace WPDesk\FPF\Pro\Settings\Option;

use WPDesk\FPF\Pro\Settings\Option\GroupAssignOption;

/**
 * {@inheritdoc}
 */
class GroupCategoriesExcludedOption extends GroupCategoriesOption {

	public const FIELD_NAME = 'excluded_category_id';

	/**
	 * {@inheritdoc}
	 */
	public function get_option_name(): string {
		return self::FIELD_NAME;
	}

	/**
	 * {@inheritdoc}
	 */
	public function get_option_label(): string {
		return __( 'Select excluded categories', 'flexible-product-fields-pro' );
	}

	/**
	 * {@inheritdoc}
	 */
	public function get_options_regexes_to_display(): array {
		return [
			GroupAssignOption::FIELD_NAME => '^' . GroupAssignOption::OPTION_ASSIGN_TO_CATEGORY_EXCLUDED . '$',
		];
	}
}
