<?php

namespace WPDesk\FPF\Pro\Settings\Option;

use WPDesk\FPF\Pro\Settings\Option\GroupAssignOption;
use WPDesk\FPF\Free\Settings\Option\GroupProductsOption;

/**
 * {@inheritdoc}
 */
class GroupProductsExcludedOption extends GroupProductsOption {

	public const FIELD_NAME = 'excluded_product_id';

	/**
	 * {@inheritdoc}
	 */
	public function get_option_name(): string {
		return self::FIELD_NAME;
	}

	/**
	 * {@inheritdoc}
	 */
	public function get_option_label(): string {
		return __( 'Select excluded products', 'flexible-product-fields-pro' );
	}
	/**
	 * {@inheritdoc}
	 */
	public function get_options_regexes_to_display(): array {
		return [
			GroupAssignOption::FIELD_NAME => '^' . GroupAssignOption::OPTION_ASSIGN_TO_PRODUCT_EXCLUDED . '$',
		];
	}
}
